> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands.md).

# KEPMコマンド

### 概要

本セクションでは、Keeperコマンダー (CLI) における特権昇格および委任管理 (KEPM) 関連のコマンドを取り扱います。特権昇格ポリシー、エージェント、デプロイ、監査レポートのほか、KEPMエンティティの作成・参照・編集・整理・管理と、コンプライアンス監視を扱います。

現在、以下のコマンドをSDKで利用できます。

* [KEPM同期コマンド](#pedm-sync-command)
* [KEPMデプロイコマンド](/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-deployment-commands.md)
* [KEPMエージェントコマンド](/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-agent-commands.md)
* [KEPMポリシーコマンド](/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-policy-commands.md)
* [KEPMコレクションコマンド](/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-collection-commands.md)
* [KEPM承認コマンド](/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-approval-commands.md)
* [KEPMレポートコマンド](/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-report-commands.md)

***

### KEPM同期コマンド <a href="#pedm-sync-command" id="pedm-sync-command"></a>

バックエンドサーバーからKEPMデータをローカルキャッシュへ同期します。ローカルデータをサーバーと整合させ、増分同期とフル同期の両方のモードで動作します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `epm-sync-down`

**別名:** `epm-sync`

**パラメータ:**

<table><thead><tr><th width="204">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><code>-r</code>, <code>--reload</code></td><td>増分同期ではなくフル同期を実行する。保存済みの継続トークンをクリアし、すべてのEPMデータを再ダウンロードする</td></tr></tbody></table>

**例:**

{% code expandable="true" %}

```bash
My Vault > epm-sync-down --reload
Performing full sync...
EPM sync completed.
```

{% endcode %}

</details>

<details>

<summary>DotNet SDK</summary>

**関数:**

{% code expandable="true" %}

```csharp
public async Task SyncDown(bool reload = false)
```

{% endcode %}

</details>

<details>

<summary>Power Commander</summary>

**コマンド:** `Sync-KeeperEpm`

**別名:** `kepm-sync`

**パラメータ**:

<table><thead><tr><th width="163">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><code>-Reload</code></td><td>増分同期ではなくフル同期を実行する。保存済みの継続トークンをクリアし、すべてのEPMデータ (デプロイ、エージェント、ポリシー、コレクション、承認) を再ダウンロードする</td></tr></tbody></table>

**例:**

{% code expandable="true" %}

```ps1
PS > Sync-KeeperEpm -Reload
Performing full sync...
EPM sync completed.
```

{% endcode %}

</details>

<details>

<summary>Python SDK</summary>

**関数:** `PedmPlugin.sync_down`

```python
from keepersdk.plugin.pedm import admin_plugin

plugin = admin_plugin.PedmPlugin(enterprise_loader)
plugin.sync_down(reload=True)
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
